## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseASABaseUniqueConstraint

All Superinterfaces:
  Constraint, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ReferenceConstraint, SQLObject, TableConstraint, UniqueConstraint

All Known Subinterfaces:
  SybaseASABasePrimaryKey

All Known Implementing Classes:
  SybaseASABasePrimaryKeyImpl, SybaseASABaseUniqueConstraintImpl, SybaseASACatalogBasePrimaryKey, SybaseASACatalogBaseUniqueConstraint

    public interface SybaseASABaseUniqueConstraint

extends UniqueConstraint

A representation of the model object 'Sybase ASA Base Unique Constraint'.

The following features are supported:

- `Clustered`
- `System Gen Index`

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASABaseUniqueConstraint()`

Method Summary
`SybaseASABaseIndex` `getSystemGenIndex()` Returns the value of the 'System Gen Index' reference.
`boolean` `isClustered()` Returns the value of the 'Clustered' attribute.
`void` `setClustered(boolean value)` Sets the value of the '`Clustered`' attribute.
`void` `setSystemGenIndex(SybaseASABaseIndex value)` Sets the value of the '`System Gen Index`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.UniqueConstraint
`getForeignKey`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.ReferenceConstraint
`getMembers`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isClustered

    boolean isClustered()

  Returns the value of the 'Clustered' attribute.

  If the meaning of the 'Clustered' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Clustered' attribute.
  See Also:
    `setClustered(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseUniqueConstraint_Clustered()`

### setClustered

    void setClustered(boolean value)

  Sets the value of the '`Clustered`' attribute.

  Parameters:
    `value` - the new value of the 'Clustered' attribute.
  See Also:
    `isClustered()`

### getSystemGenIndex

    SybaseASABaseIndex getSystemGenIndex()

  Returns the value of the 'System Gen Index' reference.

  If the meaning of the 'System Gen Index' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'System Gen Index' reference.
  See Also:
    `setSystemGenIndex(SybaseASABaseIndex)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseUniqueConstraint_SystemGenIndex()`

### setSystemGenIndex

    void setSystemGenIndex(SybaseASABaseIndex value)

  Sets the value of the '`System Gen Index`' reference.

  Parameters:
    `value` - the new value of the 'System Gen Index' reference.
  See Also:
    `getSystemGenIndex()`